## Name

BACKUP — Make a backup copy of a disk

## Synopsis

`backup` [ `e` ] [ `s` ] [ `-v` ] [`devname` [`devname`]]

## Description

This command is used to physically copy all data from one device to another. A physical copy is performed sector by sector without regard to file structures. In almost all cases the devices specified must have the exact same format (size, density, etc.) and must not have defective sectors.

If both device name are omitted the names “/d0” and “/d1” are assumed. If the second device name is omitted, a single unit backup will be performed on the drive specified.

The options are:

E = Exit if any read error occurs.
S = Print single drive prompt message.
-V = Do not verify.
#nK = more memory makes backup run faster

## Examples

    backup /D2 /D3

    backup -V

    OS9: backup

    Ready to BACKUP from /D0 to /D1 ?: Y
    MYDISK is being scratched
    OK ?: Y
    Number of sectors copied: $04D0
    Verify pass
    Number of sectors verified: $04D0
    OS9:

Below is an example of a single drive backup. backup will read a portion of the source disk into memory, you remove the source disk and place the destination disk into the drive, backup writes on the destination disk, you remove the destination disk and place the source disk into the drive. This continues until the entire disk has been copied. Giving backup as much memory as possible will cause fewer disk exchanges to be required.

For more information see: the section called “Running the Backup Program”

    OS9:backup /D0 #10k

    Ready to BACKUP from /D0 to /D0 ?: Y
    Ready DESTINATION, hit a key:
    MYDISK is being scratched
    OK ?: Y
    Ready SOURCE, hit a key:
    Ready DESTINATION, hit a key:
    Ready SOURCE, hit a key:
    Ready DESTINATION, hit a key:

    (several repetitions)

    Ready DESTINATION, hit a key:
    Number of sectors copied: $4D0
    Verify pass
    Number of sectors verified: $4D0